
%define plugin	alcd
%define name	vdr-plugin-%plugin
%define version	1.2.1
%define rel	1

Summary:	VDR plugin: Activy300 LCD-Plugin
Name:		%name
Version:	%version
Release:	%mkrel %rel
Group:		Video
License:	GPL
URL:		http://www.htpc-forum.de/
Source:		vdr-%plugin-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6
Requires:	vdr-abi = %vdr_abi

%description
Enables the LCD display of the Activy300 boxes from Siemens.

%prep
%setup -q -c
cd %plugin
chmod a-x BUGS TODO

%vdr_plugin_params_begin %{plugin}
# script to execute after pic reset
# default: %{_bindir}/activy.sh
var=RESETSCRIPT
param=--resetscript=RESETSCRIPT
default=%{_bindir}/activy.sh
%vdr_plugin_params_end

%build
cd %plugin
%vdr_plugin_build

%install
rm -rf %{buildroot}
cd %plugin
%vdr_plugin_install

install -d -m755 %{buildroot}%{_bindir}
install -m755 scripts/*.sh %{buildroot}%{_bindir}

%post
%vdr_plugin_post %plugin

%postun
%vdr_plugin_postun %plugin

%clean
rm -rf %{buildroot}

%files -f %plugin/%plugin.vdr
%defattr(-,root,root)
%doc alcd/BUGS alcd/HISTORY alcd/README alcd/TODO
%{_bindir}/*.sh


%changelog
* Sun Jan 21 2007 Anssi Hannula <anssi@mandriva.org> 1.2.1-1mdv2007.0
+ Revision: 111481
- 1.2.1

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 1.2.0-2mdv2007.1
+ Revision: 90883
- rebuild for new vdr

* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 1.2.0-1mdv2007.1
+ Revision: 76328
- 1.2.0

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-8mdv2007.1
+ Revision: 73936
- rebuild for new vdr
- Import vdr-plugin-alcd



* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-7mdv2007.0
- rebuild for new vdr

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-6mdv2007.0
- stricter abi requires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-5mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-4mdv2007.0
- rebuild for new vdr

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-3mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-2mdv2007.0
- rebuild for new vdr

* Fri Jun  2 2006 Anssi Hannula <anssi@mandriva.org> 1.0.0-1mdv2007.0
- initial Mandriva release
